Subject: Re: bug#52351: Is bad-packages-alist still relevant?

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Dec 2021 02:02:14 -0800

Richard Stallman <[email-masked]> writes:

> bad-packages-alist may be useful again some day, so please restore its
> non-obsoleteness.
>
> The specific issue about Semantic and Emacs 22 is no longer pertinent,
> so we should set the variable's default value to nil.
>
> However, that kind of problem could happen again some day.  We hope it
> won't, but few of us are perfect and none of us is precognitive.  Why
> not be prepared in case such problems occur again?

Beyond the original Semantic case, this hasn't seen much use in 15
years.  If we need it back in the future, we can make it non-obsolete
then.  We have another decade to think about its obsoletion before it
would normally be considered for final removal.